Cannot Execute Your Request /usr/local/bin/lego is required, exiting...

triharda

Verified User
Joined
Oct 6, 2019
Messages
12
Location
Indonesia
Hi,

After update Let's encrypt, I found error message:

Cannot Execute Your Request /usr/local/bin/lego is required, exiting...

Note:
Let's encrypt client 2.0.1 has been installed.

Has anyone have some problem but fixed?

thanks
 

paulonichio

Verified User
Joined
Jul 8, 2019
Messages
15
Hi;

Same problem here, on all servers with DirectAdmin.
We don't know how to solve it or the cause of this happening.

Thanks!
 

smtalk

Administrator
Staff member
Joined
Aug 22, 2006
Messages
9,305
Location
LT, EU
Did you run “./build letsencrypt” to update it? Please try "./build lego" to solve it.
 

smtalk

Administrator
Staff member
Joined
Aug 22, 2006
Messages
9,305
Location
LT, EU
I've noticed a place in CustomBuild where might it not install it automatically and fixed it already in latest release, thank you for the reports.
 

Fred

Verified User
Joined
Dec 22, 2018
Messages
23
./build lego didn't work through Terminal. Ran Build Lego through Custom Build at it did work.
 

Active8

Verified User
Joined
Jul 13, 2013
Messages
370
./build lego didn't work through Terminal. Ran Build Lego through Custom Build at it did work.
Thta is weird , we always doing by terminal never had problems , you did this ?
Code:
cd /usr/local/directadmin/custombuild
./build update
./build lego
 
Top